/*****************************************************************************
* xmppbot Simple Unix Socket based XMPP bot
* Copyright (C) 2021 Syping
*
* Redistribution and use in source and binary forms, with or without modification,
* are permitted provided that the following conditions are met:
*
* 1. Redistributions of source code must retain the above copyright notice,
* this list of conditions and the following disclaimer.
*
* 2. Redistributions in binary form must reproduce the above copyright notice,
* this list of conditions and the following disclaimer in the documentation
* and/or other materials provided with the distribution.
*
* This software is provided as-is, no warranties are given to you, we are not
* responsible for anything with use of the software, you are self responsible.
*****************************************************************************/

#ifndef XMPPBOT_H
#define XMPPBOT_H

#include <QtGlobal>

#if QT_VERSION >= QT_VERSION_CHECK(5, 15, 0)
#define xendl Qt::endl;
#else
#define xendl endl;
#endif

#ifdef Q_OS_WIN
#define XmppSocketType "NamedPipe"
#else
#define XmppSocketType "UnixSocket"
#endif

#define getXmppClient() qvariant_cast<QXmppClient*>(QCoreApplication::instance()->property("XmppClient"))

#endif // XMPPBOT_H
